Loading...
Searching...
No Matches
type_select< T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10 >::select< Id > Struct Template Reference

## Public Types

typedef etl::conditional< Id==0, T0, typenameetl::conditional< Id==1, T1, typenameetl::conditional< Id==2, T2, typenameetl::conditional< Id==3, T3, typenameetl::conditional< Id==4, T4, typenameetl::conditional< Id==5, T5, typenameetl::conditional< Id==6, T6, typenameetl::conditional< Id==7, T7, typenameetl::conditional< Id==8, T8, typenameetl::conditional< Id==9, T9, typenameetl::conditional< Id==10, T10, etl::null_type< 0 > >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type

type

## Public Member Functions

| ETL_STATIC_ASSERT (Id< 11, "Invalid Id")

The documentation for this struct was generated from the following file:

- include/etl/private/type_select_cpp03.h